package tutorialJava.examenes.examen20241213;

import tutorialJava.Utils;

public abstract class Animal {
	protected String nombre;
	protected float peso;
	
	public Animal() {
		super();
	}

	public Animal(String nombre) {
		super();
		this.nombre = nombre;
		this.peso = Utils.obtenerNumeroAzar(1, 600);
	}

	public Animal(String nombre, float peso) {
		super();
		this.nombre = nombre;
		this.peso = peso;
	}
	
	public abstract float calcularEspacio();

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public float getPeso() {
		return peso;
	}

	public void setPeso(float peso) {
		this.peso = peso;
	}

	@Override
	public String toString() {
		return "Animal [nombre=" + nombre + ", peso=" + peso + "]";
	}
	
	
	
}
